Subject: Re: what determines cygwin path?
From: Qwer Zxcv <[email-masked]>
To: Max Bowsher <[email-masked]>
Cc: [email-masked]
Date: Fri, 25 Apr 2003 15:38:20 -0700 (PDT)

Qwer Zxcv wrote:
>>> So what I'd like to know is, how is cygwin's path determined?
>>> (Apparently not entirely by the windows path, at least not by
>>> default.) And how do I fix it?

Max Bowsher wrote:
>> Windows + /etc/profile + any user customisation.

Can you be more specific about "any user customisation"?
I know how to fix the windows path. I know how to fix /etc/profile,
which is currently

> qwerzxcv@qwerzxcv /d/bin/cygwin/1.3.13-1/bin
> $ less ../etc/profile
> PATH="/usr/local/bin:/usr/bin:/bin:$PATH"

> USER="`id -un`"

> # Set up USER's home directory
> if [ -z "$HOME" ]; then
>   HOME="/home/$USER"
> fi

> if [ ! -d "$HOME" ]; then
>   mkdir -p "$HOME"
> fi

> export HOME USER

> for i in /etc/profile.d/*.sh ; do
>   if [ -f $i ]; then
>     . $i
>   fi
> done

> export MAKE_MODE=unix
> export PS1='\[\033]0;\w\007
> \033[32m\]\u@\h \[\033[33m\w\033[0m\]
> $ '

> cd "$HOME"

thus seems not to be problematic. What I don't know is, in

> PATH="/usr/local/bin:/usr/bin:/bin:$PATH"

* Where are

  /usr/local/bin:/usr/bin:/bin

  set?

* Is $PATH (at the end) coming only from the windows path, or from
  somewhere else?

* What other user customizations are relevant?

__________________________________________________
Do you Yahoo!?
The New Yahoo! Search - Faster. Easier. Bingo
http://search.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/